Quassel IRC - Bug #711

When giving operator status to a person, the user list does not display the new operators
05/30/2009 11:08 PM - Vloeck

Status: Resolved Start date: 05/30/2009
Priority: Normal Due date:

Assignee: EgS % Done: 100%
Category: Quassel Client Estimated time: 0.00 hour
Target version: 0.4.3

Version: 0.4.2 0S: Any
Description

When giving operator status to a person, the user list does not display the new operators, but the oped ones are removed form it

History

#1 - 06/04/2009 11:35 PM - sph

Yeah, this is confirmed, it surprises me | hadn't filed a bug report for it yet :)

EgS and | managed to reproduce it:

[19:59:14] —-> sph_ (n=sph@...) has joined #blablablatest

[20:45:54] --> EgS (n=egs@quassel/developer/egs) has joined #blablablatest
[21:16:24] <sph_> let's see if we can reproduce it here!

[21:16:27] *** Mode #blablablatest +o EgS by sph_

[21:16:28] <sph_> yep

[21:16:35] <sph_> no more EgS in the list ;)

[21:16:38] <EgS> ok I see it too :)

[21:16:48] <sph_> it happens when one group is closing

[21:17:00] <EgS> I see

[21:17:03] <sph_> ie. when the last user/voice is moving group i think

Restarting the client fixes it so it's probably a simple bug in there.

#2 - 06/07/2009 11:49 PM - EgS

- Category set to Quassel Client

- Status changed from New to Resolved
- Assignee set to EgS

- Target version set to 0.4.3

- % Done changed from 0 to 100

Fixed in git:
